Search Posts
curl --request GET \
--url https://api.sociavault.com/v1/scrape/linkedin/search/posts \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/linkedin/search/posts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/linkedin/search/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"credits_charged": 1,
"query": "Pete Matthew",
"posts": {
"0": {
"url": "https://www.linkedin.com/posts/petematthew_prouddad-activity-7452247460367720448-Co8z",
"name": "STAFF SPOTLIGHT 🎤 \n\nThis week, it's Kate's turn in the spotlight. She is our Marketing and Communications Coordinator, which is a very wordy way of saying she's constantly taking pictures of us 'for the 'gram.'\n\nCreative, funny and willing to help everyone, we're very grateful to have her on our team.\n\n#jacksonsmeaningfulfinancialplanning #staffspotlight #jacksonsdotlife #jacksonspenzance #financialplanning",
"datePublished": "2026-04-21T06:50:50.593Z",
"description": "This is my youngest daughter, Kate Matthew, who is making a huge difference to the way we communicate at Jacksons: Meaningful Financial Planning and with the throughput of MeaningfulMoney.tv. She’s really coming into her powers now and it’s great to see.\n\nNo profound business lesson here, just a #prouddad",
"media": "https://media.licdn.com/dms/image/v2/D4E22AQFlWVVKZoTGDA/feedshare-shrink_1280/B4EZ2rhmQzJ0AM-/0/1776699205095?e=2147483647&v=beta&t=ND9tAnaCI9K6AcixhKabbhKTWRYTC4VQny6QwJRmkrQ",
"images": {
"0": "https://media.licdn.com/dms/image/v2/D4E22AQFlWVVKZoTGDA/feedshare-shrink_1280/B4EZ2rhmQzJ0AM-/0/1776699205095?e=2147483647&v=beta&t=ND9tAnaCI9K6AcixhKabbhKTWRYTC4VQny6QwJRmkrQ",
"1": "https://media.licdn.com/dms/image/v2/D4E22AQEMeo6DniLkrA/feedshare-image-high-res/B4EZ2rhmRBGYAU-/0/1776699205030?e=2147483647&v=beta&t=5PjpnNgvikU9fEk_Rlr0S4HIDFO5u_2lQIltOnMNtGo",
"2": "https://media.licdn.com/dms/image/v2/D4E22AQF8MrhPWB1tNA/feedshare-image-high-res/B4EZ2rhmRRJUAU-/0/1776699205010?e=2147483647&v=beta&t=I5j32L8zCcMOyfZFOPpWfgr_wc2ZFcBF-u3AEuqTz4M"
},
"image": "https://media.licdn.com/dms/image/v2/D4E22AQFlWVVKZoTGDA/feedshare-shrink_1280/B4EZ2rhmQzJ0AM-/0/1776699205095?e=2147483647&v=beta&t=ND9tAnaCI9K6AcixhKabbhKTWRYTC4VQny6QwJRmkrQ",
"author": {
"name": "Pete Matthew",
"url": "https://uk.linkedin.com/in/petematthew",
"image": "https://media.licdn.com/dms/image/v2/D4E03AQHVuZFwxqPGEA/profile-displayphoto-scale_200_200/B4EZ5jlI93JMAg-/0/1779787143437?e=2147483647&v=beta&t=oVbU-FK4If8PF2QpRqByDpSv_qOmBxFzIfWvYvPvC10",
"followers": 5184
},
"comments": {},
"likeCount": 92,
"commentCount": 0
},
"1": {
"url": "https://www.linkedin.com/posts/petematthew_introducing-a-new-podcast-project-with-me-activity-7423374609955135490-9DVM",
"datePublished": "2026-01-31T14:40:26.622Z",
"description": "Introducing a new podcast project with me and my youngest daughter Kate Matthew. Aimed at younger folks than Meaningful Money, we hope to get decent financial info out there in a world dominated by influencers and get-rich-quick schemes.\n\nCheck it out wherever you get your podcasts (except Spotify who are taking their sweet time indexing it, but it’ll be there soon!)",
"media": "https://media.licdn.com/dms/image/v2/D4E22AQGH5Xop7mtxrg/feedshare-shrink_800/B4EZwUf3ogJgAg-/0/1769870425021?e=2147483647&v=beta&t=cisZjE4kHoBbdGZXTjvFGMBenLkp0J5VVM-WyIdCmSM",
"images": {
"0": "https://media.licdn.com/dms/image/v2/D4E22AQGH5Xop7mtxrg/feedshare-shrink_800/B4EZwUf3ogJgAg-/0/1769870425021?e=2147483647&v=beta&t=cisZjE4kHoBbdGZXTjvFGMBenLkp0J5VVM-WyIdCmSM"
},
"image": "https://media.licdn.com/dms/image/v2/D4E22AQGH5Xop7mtxrg/feedshare-shrink_800/B4EZwUf3ogJgAg-/0/1769870425021?e=2147483647&v=beta&t=cisZjE4kHoBbdGZXTjvFGMBenLkp0J5VVM-WyIdCmSM",
"author": {
"name": "Pete Matthew",
"url": "https://uk.linkedin.com/in/petematthew",
"image": "https://media.licdn.com/dms/image/v2/D4E03AQHVuZFwxqPGEA/profile-displayphoto-scale_200_200/B4EZ5jlI93JMAg-/0/1779787143437?e=2147483647&v=beta&t=oVbU-FK4If8PF2QpRqByDpSv_qOmBxFzIfWvYvPvC10",
"followers": 5184
},
"comments": {
"0": {
"author": "Pete Matthew",
"text": "Website also a work in progress: https://bankofdad.show\n\nYouTube: https://youtube.com/@bankofdadshow",
"linkedinUrl": "https://uk.linkedin.com/in/petematthew"
},
"1": {
"author": "Nathan Anscombe",
"text": "Its been a brilliant watch. Definitely a space in the youtube market as well. Keep up the good work",
"linkedinUrl": "https://uk.linkedin.com/in/nathan-anscombe-a1619417b"
},
"2": {
"author": "Catherine Morgan",
"text": "So fun!!! I’ll share this in our next community newsletter. I hope my boys will join me one day :-) let me know if I can do anything else to support you both x",
"linkedinUrl": "https://je.linkedin.com/in/catherine-morgan"
},
"3": {
"author": "Daniel Barrett FPFS",
"text": "Great idea Pete. Best of luck to you both!",
"linkedinUrl": "https://uk.linkedin.com/in/danielbarrett-ifa"
},
"4": {
"author": "Claire Saunders - Financial Life Coach",
"text": "As a mum of teenagers, I think this is so needed! And what a lovely thing to do together. I'll definitely tune in and encourage others to do so too",
"linkedinUrl": "https://uk.linkedin.com/in/claire-saunders-financial-coach-london-mint-coaching"
},
"5": {
"author": "Alastair Ford",
"text": "I had the first two episodes on the playlist for my run this morning and absolutely loved them! Highly recommended for anyone who wants to understand money better. I'll be sharing widely!",
"linkedinUrl": "https://uk.linkedin.com/in/alastairford"
},
"6": {
"author": "Gudrun Lauret",
"text": "Congratulations Pete and Kate! What a great idea and very much needed. Hopefully you’ll inspire a generation to be more money savvy than mine!",
"linkedinUrl": "https://fr.linkedin.com/in/gudrunlauret-communications"
},
"7": {
"author": "Catie Close",
"text": "Excellent! Just watched Ep1. Looking forward to this series :-)",
"linkedinUrl": "https://uk.linkedin.com/in/catieclose"
}
},
"likeCount": 219,
"commentCount": 22
},
"2": {
"url": "https://www.linkedin.com/posts/jacksonsdotlife_jacksonsmeaningfulfinancialplanning-jacksonsdotlife-activity-7445137965548326914-l55i",
"name": "#jacksonsmeaningfulfinancialplanning #jacksonsdotlife #jacksonspenzance #videodiary #financialplanning | Jacksons: Meaningful Financial Planning",
"thumbnailUrl": "https://media.licdn.com/dms/image/v2/D4E05AQGzvE1SXvrryA/videocover-high/B4EZ1JCgUwG8BY-/0/1775046891325?e=2147483647&v=beta&t=r5Vei0Ap89VrutSoSEbh8fV85RRm0pfN1tQcwGOYUio",
"datePublished": "2026-04-01T16:00:14.937Z",
"uploadDate": "2026-04-01T16:00:14.937Z",
"description": "Video Diary: Meet Pete 🎥\n\nPete is the CEO here at Jacksons, but we all agree that feels far too stuffy a title! He is warm, open and always willing to help. He has a wealth of knowledge and we feel very lucky to have him to look up to!\n\n#jacksonsmeaningfulfinancialplanning #jacksonsdotlife #jacksonspenzance #videodiary #financialplanning",
"transcript": "Hi, I'm Pete Matthew. I'm CEO and Chartered Financial Planner here at Jacksons. One of the things I think we do really well here is to allow every member of the team the space to do the job in the way that works best for them. I've never really understood businesses that kind of constrain people to do the job a certain way. Given that we all have different strengths and talents. I think if we allow people to bring those to bear on the job, then everybody benefits, not least the business itself. I think the thing I'm most proud of. Is the new generation coming through? It's not that long ago that I was the youngest person here at Jacksons and now I'm pleased to say that I'm one of the oldest. So important to bring new people into this incredible profession and I'm proud that we're doing our bit for that. Absolutely. Let's go. Kindle, Kindle holiday, hot holiday by the pool N I'm from Yorkshire. Cake if I'm by the pool, maybe a cocktail, but generally a beer.",
"media": "https://dms.licdn.com/playlist/vid/v2/D4E05AQGzvE1SXvrryA/mp4-640p-30fp-crf28/B4EZ1JCgUwG8Bw-/0/1775046896867?e=2147483647&v=beta&t=CdsGpSTkhM7Sowhugz8oCreTuEsTz_cTh-K3Gqjme1E",
"images": {},
"image": null,
"author": {
"name": "Jacksons: Meaningful Financial Planning",
"url": "https://uk.linkedin.com/company/jacksonsdotlife",
"image": "https://media.licdn.com/dms/image/v2/D4E0BAQHOTB3jM_AbmA/company-logo_100_100/company-logo_100_100/0/1691666061681/jacksonswealth_logo?e=2147483647&v=beta&t=IakpsE6azXLUMq05kFRRmi7MMyV9w9Re2m1OWWl4mac",
"followers": 941
},
"comments": {
"0": {
"author": "Sharon Bray",
"text": "Love this Pete Matthew xx",
"linkedinUrl": "https://uk.linkedin.com/in/sharon-bray-5734976b"
}
},
"likeCount": 39,
"commentCount": 1
},
"3": {
"url": "https://www.linkedin.com/posts/writeupp_when-youre-self-employed-investing-and-activity-7505309644525932545-Iyyt",
"datePublished": "2026-09-14T17:01:01.148Z",
"description": "🎙️When you’re self-employed, investing and planning for your financial future can feel like another thing you’re expected to figure out on your own.\nBut when it comes to investing, Pete Matthew explains that it isn’t necessarily the stock market that loses people money - it can be the decisions we make at the wrong time.\n\nIn the latest episode of The Healthy Practice Podcast, Pete explores how time, diversification and taking a long-term approach can help reduce investment risk.\n\nListen to the full conversation now on Spotify, Apple Podcasts or wherever you get your podcasts. 🎧",
"media": "https://media.licdn.com/dms/image/v2/D4E10AQFsHiyqCdksAQ/image-shrink_1280/B4EaCg3VDcIgAc-/0/1789405254130?e=2147483647&v=beta&t=18gwTPdSCVn5_gMi8lCDurREoaa-m5sNGk8xZyR6cus",
"images": {
"0": "https://media.licdn.com/dms/image/v2/D4E10AQFsHiyqCdksAQ/image-shrink_1280/B4EaCg3VDcIgAc-/0/1789405254130?e=2147483647&v=beta&t=18gwTPdSCVn5_gMi8lCDurREoaa-m5sNGk8xZyR6cus",
"1": "https://media.licdn.com/dms/image/v2/D4E10AQG8qZBE5xNERA/image-shrink_1280/B4EaCg3VcsKYAc-/0/1789405255926?e=2147483647&v=beta&t=F3NP65F8qLqzOu76-aPmCHkXg8EWTKgn5HuOas-VGS0",
"2": "https://media.licdn.com/dms/image/v2/D4E10AQFDBLRc6Ku3sg/image-shrink_1280/B4EaCg3V0THUAc-/0/1789405257369?e=2147483647&v=beta&t=X8rzDI6JeApMYKQM4SLJtQY6A1eN6mPfqFZ6y8IyFy8",
"3": "https://media.licdn.com/dms/image/v2/D4E10AQG9qJwLEN-8IQ/image-shrink_1280/B4EaCg3WV6KYAk-/0/1789405259406?e=2147483647&v=beta&t=4QsfQbiu7EHYk56hyUhEB_ahz41mWNMUaNoMdGvAoFk"
},
"image": "https://media.licdn.com/dms/image/v2/D4E10AQFsHiyqCdksAQ/image-shrink_1280/B4EaCg3VDcIgAc-/0/1789405254130?e=2147483647&v=beta&t=18gwTPdSCVn5_gMi8lCDurREoaa-m5sNGk8xZyR6cus",
"author": {
"name": "WriteUpp",
"url": "https://uk.linkedin.com/company/writeupp",
"image": "https://media.licdn.com/dms/image/v2/C4D0BAQFsOinqGkwE0w/company-logo_100_100/company-logo_100_100/0/1630464952635/writeupp_logo?e=2147483647&v=beta&t=TYNNYTa2VR1tAmC7RTUCMw0MOlnd7Y36W-uL96R-qRE",
"followers": 1038
},
"comments": {},
"likeCount": 5,
"commentCount": 0
}
},
"cursor": "2"
},
"credits_used": 1
}{
"error": "query parameter is required"
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 123,
"available": 123
}LinkedIn
Search Posts
Search for public LinkedIn posts by keyword. Uses Google Search to find indexed posts, then scrapes the public LinkedIn pages. Use the cursor from each response to page through more results.
GET
/
v1
/
scrape
/
linkedin
/
search
/
posts
Search Posts
💳 1 credit per request
cursor from each response to page through more results (max cursor is 11).Authorizations
Query Parameters
Keyword or phrase to search for in public LinkedIn posts
Example:
"ai agents"
Filter results by how recently they were posted (based on Google-indexed results)
Available options:
last-hour, last-day, last-week, last-month, last-year Example:
"last-week"
Pagination cursor from the previous response. Must be between 1 and 11; cursor 12 or greater returns a 400 response.
Required range:
1 <= x <= 11Example:
2
Response
Successful response Key Response Fields:
data.query: The search term that was rundata.posts[n].url: Permalink to the post — the/posts/<slug>_segment identifies the authordata.posts[n].name: Post title or opening linedata.posts[n].description: Full post body textdata.posts[n].datePublished: ISO timestamp of publicationdata.posts[n].likeCount: Total reactions on the postdata.posts[n].commentCount: Total comment countdata.posts[n].author.name: Author's full namedata.posts[n].author.url: Author's LinkedIn profile URLdata.posts[n].author.followers: Author's follower countdata.posts[n].image: Primary image attached to the postdata.posts[n].images: All images attached to the postdata.posts[n].transcript: Video transcript, present only on video postsdata.posts[n].comments: Public comments, when LinkedIn exposes themdata.cursor: Pass back ascursorfor the next page (max 11)